Skip to main content
GET
/
management
/
v1
/
orgs
/
{org_name}
/
models
/
{model_arch_id}
/
versions
List model versions
curl --request GET \
  --url https://api.cerebras.ai/management/v1/orgs/{org_name}/models/{model_arch_id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "model_versions": [
    {
      "name": "orgs/my-org/models/gpt-oss-120b/versions/1",
      "done": true,
      "response": {
        "customer_s3_uri": "s3://my-bucket/model-weights",
        "version_aliases": [
          "production-jan-12-2026-finetuned"
        ],
        "sync_status": "done"
      }
    },
    {
      "name": "orgs/my-org/models/gpt-oss-120b/versions/2",
      "done": false,
      "response": {
        "customer_s3_uri": "s3://my-bucket/model-weights-v2",
        "version_aliases": [
          "my-cool-version"
        ],
        "sync_status": "in_progress"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt

Use this file to discover all available pages before exploring further.

This feature is in Private Preview. For access or more information, contact us or reach out to your account representative.
Get all uploaded model versions for a particular supported architecture.

Authorizations

Authorization
string
header
required

Management API key generated from the Management API keys section on the API keys page at https://cloud.cerebras.ai. Use the format: Bearer <MANAGEMENT_API_KEY>

Path Parameters

org_name
string
required

Cerebras customer management organization name found under Management API keys on the API keys page at https://cloud.cerebras.ai.

Note: This is not to be confused with org_id.

model_arch_id
string
required

Name of the model architecture (e.g. llama3.1-8b, gpt-oss-120b).

Response

200 - application/json

Successful Response

model_versions
ModelVersionStatusResponse · object[]
required